### Function

# RB DeviceSource want_uri

#### Declaration [src]

    guint
    rb_device_source_want_uri (
      RBSource* source,
      const char* uri
    )

#### Description [src]

Checks whether `uri` identifies a path underneath the device’s mount point. Should be used to implement the `RBSource` want_uri method.

#### Parameters

`source`

  Type: `RBSource`

  A `RBDeviceSource`.

  The data is owned by the caller of the function.

`uri`

  Type: `const char*`

  A URI to consider.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

URI match strength.